// Testfall importieren
import TestCase;

int main()
{
    // Prüffall definieren
    CTestCase test1("Testen der Programmfunktionen", CTestCase::priority::low);
    // und ausgeben
    test1.PrintIt();
    // Priotät umsetzen
    test1 = CTestCase::priority::high;
    // Status auf ok setzen
    test1 = CTestCase::state::ok;
    // Prüffall erneut ausgeben
    test1.PrintIt();
    // Weiteren Prüffall definieren
    CTestCase test2("Stresstest", CTestCase::priority::critical);
    // Prüffall auf failed setzen
    test2 = CTestCase::state::failed;
    // Prüffall ausgeben
    test2.PrintIt();
}
